Subject: Re: bug#14395: 24.3; [PATCH] new feature smie-highlight-matching-block

From: Leo Liu <[email-masked]>
Date: Fri, 17 May 2013 00:06:23 +0800

On 2013-05-16 21:24 +0800, Stefan Monnier wrote:
> I think the `remove-hook' should be done within the body of the
> smie-highlight-matching-block-mode minor mode rather than here.
> In here, you just need to wrap the add-hook within a test of
> smie-highlight-matching-block-mode.

But the post insert hook is buffer-local. Seems too much trouble to find
all of them and remove-hook.

> BTW.  Is there a non-SMIE version of "highlight-matching-block-mode",
> which does it for parentheses?  If yes, maybe 
> smie-highlight-matching-block-mode should integrate into it.

I am not sure there is.

> One more thought, maybe you were right that futzing around with
> add/remove-hook is too complicated and it's easier to check a variable.
> But then maybe smie-highlight-matching-block-mode should set
> blink-matching-paren to nil (which brings us back to whether there's
> a global highlight-matching-block-mode working not just for modes using
> SMIE).

Maybe checking smie-highlight-matching-block-mode in
smie-blink-matching-open is the better solution because
post-self-insert-hook is buffer-local.

Leo